%global momorel 2

%define umingfontdir    %{_datadir}/fonts/%{name}-uming
%define ukaifontdir     %{_datadir}/fonts/%{name}-ukai
%define cidmapdir       %{_datadir}/ghostscript/conf.d
%define catalogue       /etc/X11/fontpath.d

Name:        cjkunifonts
Version:     0.1.20060928
Release:     %{momorel}m%{?dist}
Summary:     Chinese TrueType Fonts -- Simplified and Traditional Chinese Ming and Kai Face
License:     "Arphic"
Group:       User Interface/X
URL:         http://www.freedesktop.org/wiki/Software/CJKUnifonts

Source1:    http://ftp.debian.org/debian/pool/main/t/ttf-arphic-uming/ttf-arphic-uming_%{version}.orig.tar.gz
Source2:    http://ftp.debian.org/debian/pool/main/t/ttf-arphic-ukai/ttf-arphic-ukai_%{version}.orig.tar.gz
Source3:    FAPIcidfmap.zh_TW
Source4:    FAPIcidfmap.zh_CN
Source5:    cidfmap.zh_TW
Source6:    cidfmap.zh_CN
Source7:    CIDFnmap.zh_TW
Source8:    CIDFnmap.zh_CN

Requires:         ttmkfdir
BuildRequires:    xorg-x11-font-utils, ttmkfdir
BuildArch:        noarch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Chinese Unicode TrueType fonts derived from the original fonts generously made
available by Arphic Technology under the "Arphic Public License" and extended
by the CJK Unifonts project.

%package uming
Summary:      Chinese Uming style face TrueType Font
License:      "Arphic"
Group:        User Interface/X
Requires:     %{name}-common

%description uming
Chinese Uming style face TrueType Font derived from the original fonts released
by Arphic Technology and extended by the CJK Unifonts project.

%package ukai
Summary:      Chinese Ukai style face TrueType font
License:      "Arphic"
Group:        User Interface/X
Requires:     %{name}-common

%description ukai
Chinese Ukai style face TrueType Font derived from the original fonts released
by Arphic Technology and extended by the CJK Unifonts project.

%package common
Summary:      Common package for ukai and uming
License:      "Arphic"
Group:        User Interface/X
Conflicts:    fonts-chinese <= 3.03-3m
Obsoletes:    ttfonts-zh_CN <= 2.14-10, ttfonts-zh_TW <= 2.11-28

%description common
This is acommon package for ukai and uming.

%prep
%setup -q -T -c -a1 -a2

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT

# dirs
install -d $RPM_BUILD_ROOT%{catalogue}
install -d $RPM_BUILD_ROOT%{umingfontdir}
install -d $RPM_BUILD_ROOT%{ukaifontdir}

# ttfs
install -m 0644 ttf-arphic-uming-%{version}/uming.ttf $RPM_BUILD_ROOT%{umingfontdir}/
install -m 0644 ttf-arphic-ukai-%{version}/ukai.ttf $RPM_BUILD_ROOT%{ukaifontdir}/

# fonts.{scale,dir}
%{_bindir}/ttmkfdir -d $RPM_BUILD_ROOT%{umingfontdir} -o $RPM_BUILD_ROOT%{umingfontdir}/fonts.scale
mkfontdir $RPM_BUILD_ROOT%{umingfontdir}
%{_bindir}/ttmkfdir -d $RPM_BUILD_ROOT%{ukaifontdir} -o $RPM_BUILD_ROOT%{ukaifontdir}/fonts.scale
mkfontdir $RPM_BUILD_ROOT%{ukaifontdir}

# backward compat
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/zh_CN/TrueType
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/zh_TW/TrueType
ln -s ../../%{name}-uming/uming.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/zh_CN/TrueType/zysong.ttf
ln -s ../../%{name}-uming/uming.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/zh_TW/TrueType/bsmi00lp.ttf

# catalogue
ln -s %{umingfontdir} $RPM_BUILD_ROOT%{catalogue}/%{name}-uming
ln -s %{ukaifontdir} $RPM_BUILD_ROOT%{catalogue}/%{name}-ukai

# ghostscript
install -d $RPM_BUILD_ROOT%{cidmapdir}
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE8} $RPM_BUILD_ROOT%{cidmapdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post uming
umask 133
if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{umingfontdir}
fi

%post ukai
umask 133
if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{ukaifontdir}
fi

%postun uming
if [ "$1" = 0 ]; then
    umask 133
    if [ -x %{_bindir}/fc-cache ]; then
        %{_bindir}/fc-cache %{_datadir}/fonts
    fi
fi

%postun ukai
if [ "$1" = 0 ]; then
    umask 133
    if [ -x %{_bindir}/fc-cache ]; then
        %{_bindir}/fc-cache %{_datadir}/fonts
    fi
fi

%files uming
%defattr(-,root,root,-)
%doc ttf-arphic-uming-%{version}/license
%dir %{umingfontdir}
%{umingfontdir}/*.ttf
%verify(not md5 size mtime) %{umingfontdir}/fonts.dir
%verify(not md5 size mtime) %{umingfontdir}/fonts.scale
%verify(not md5 size mtime) %{_datadir}/fonts/zh_CN/TrueType/zysong.ttf
%verify(not md5 size mtime) %{_datadir}/fonts/zh_TW/TrueType/bsmi00lp.ttf
%{catalogue}/%{name}-uming

%files ukai
%defattr(-,root,root,-)
%doc ttf-arphic-ukai-%{version}/license
%dir %{ukaifontdir}
%{ukaifontdir}/*.ttf
%verify(not md5 size mtime) %{ukaifontdir}/fonts.dir
%verify(not md5 size mtime) %{ukaifontdir}/fonts.scale
%{catalogue}/%{name}-ukai

%files common
%defattr(-,root,root,-)
%dir %{_datadir}/fonts/zh_CN
%dir %{_datadir}/fonts/zh_TW
%dir %{_datadir}/fonts/zh_CN/TrueType
%dir %{_datadir}/fonts/zh_TW/TrueType
%{cidmapdir}/FAPIcidfmap.zh_TW
%{cidmapdir}/FAPIcidfmap.zh_CN
%{cidmapdir}/cidfmap.zh_TW
%{cidmapdir}/cidfmap.zh_CN
%{cidmapdir}/CIDFnmap.zh_TW
%{cidmapdir}/CIDFnmap.zh_CN

%changelog
* Mon Apr 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.20060928-2m)
- add a package common to avoid conflicting

* Sun Apr 20 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.1.20060928-1m)
- import from Fedora

* Fri Aug 30 2007 Caius Chance <cchance@redhat.com> - 0.1.20060928-4.fc8
- Resolved: rhbz#253813 (New package separated from fonts-chinese)
-- Added requires and buildrequires ttfmkdir.

* Wed Aug 30 2007 Caius Chance <cchance@redhat.com> - 0.1.20060928-3.fc8
- Resolved: rhbz#253813 (New package separated from fonts-chinese)
-- Fixed cidmap directory and package requirements.

* Wed Aug 29 2007 Caius Chance <cchance@redhat.com> - 0.1.20060928-2.fc8
- Resolved: rhbz#253813 (New package separated from fonts-chinese)
-- Moved uming and ukai into sub-packages.
-- Moved fc-cache from post section to install section.
-- Fixed ghostscript directory and backward compatibilities symlinks.
-- Refined .spec literal, license, versioning contents.

* Wed Aug 22 2007 Caius Chance <cchance@redhat.com> - 0.1.20060928-1.fc8
- Resolved: rhbz#253813 (New package separated from fonts-chinese)
-- Review preparation.
